var comentarios_local = new Class ({
	Implements: [Options, Events],
	options: {
		logueado:false,
		urlLogin: '/ajax/local_req.php',
		loginForm: 'local_loginForm',
		loginFormPass: 'local_loginForm_pass',
		loginFormUsr: 'local_loginForm_usr',
		contenedor:'',
		padre:null
	},
	initialize: function(options){
		this.setOptions(options);
		var self = this;
		$(this.options.loginForm).addEvent('submit', function (e){
			e.preventDefault();
			var dataRequest = {
				'c':hex_md5($(self.options.loginFormUsr).value),
				'p':hex_md5($(self.options.loginFormPass).value),
				'jsonOutput':'true'
			};
			new Request.JSON({
				url: '/ajax/registro_contenidoPrivado.php',
				noCache: true,
				data: dataRequest,
				onSuccess: function (responseJSON, responseText)
				{
					if ( typeof(responseJSON.success) != 'undefined' )
					{
						self.doLogin();
					}
					else
					{
						alert("Error en los datos");
					}
				},
				onFailure: function ()
				{
					alert("Error en los datos");
				}
			}).send();
		});
		if ( (Cookie.read('comments_userService') == null || Cookie.read('comments_userService') == 'local') && Cookie.read('datos_personales') != null )
		{
			this.doLogin(true);
		}
	},
	doLogin: function()
	{
		if ( (Cookie.read('comments_userService') == null || Cookie.read('comments_userService') == 'local') && Cookie.read('datos_personales') != null )
		{
			var data = 'm=account/verify_session&uid='+JSON.parse(Cookie.read('datos_personales')).id_usuario+'&sid='+JSON.parse(Cookie.read('datos_personales')).session_id;
			new Request.JSON ({
				url: this.options.urlLogin,
				data: data,
				onSuccess: this.login.bind(this)
			}).send();
		}
	},
	login: function(data)
	{
		if(typeof(data.error) != 'undefined')
		{
			this.logout();
		}
		else
		{
			Cookie.write('comments_userService', 'local', {path:'/'});
			this.options.logueado = true;
			this.data = data;
			$(this.options.contenedor).fireEvent('requestLogin', [data.name, this, 'local'] );
		}
	},
	update: function()
	{
	},
	logout: function(killAll)
	{
		if ( typeof(killAll) != 'undefined' && killAll == true )
		{
			Cookie.dispose('datos_personales', {domain:'.cnnexpansion.com', path:'/'});
		}
		Cookie.dispose('comments_userService', {path:'/'});
		this.options.logueado = false;
		$(this.options.contenedor).fireEvent('requestLogout');
	}
});
