/*
 *	Version 1.1
 *	+ Compatibilidad con Mootools 1.3
 */
var parseXMLNode = new Class ({
	Implements: [Options, Events],
	options: {
		recursivo:true,
		limite:-1
	},
	initialize: function(options){
		this.setOptions(options);
	},
	node2json: function(node){
		switch (typeOf(node)){
			case 'element':
				var attributes = node.attributes;
				var attributesLength = attributes.length;
 
				var attributesHash = {};
 				var nodoRespuesta = {};
 				
				for (var j = 0; j < attributesLength; j++)
				{
					var attribute = attributes[j];
					if (attribute.nodeValue && attribute.nodeValue != 'inherit')
					{
						attributesHash[attribute.nodeName] = attribute.nodeValue;
					}
				}
				if ( attributes.length > 0 )
				{
					nodoRespuesta.attributes = attributesHash;
				}
				for ( var i = 0; i < node.childNodes.length; ++i )
				{
					if ( typeOf(node.childNodes[i]) == 'element' )
					{
						nodoRespuesta[node.childNodes[i].nodeName] = this.node2json(node.childNodes[i]);
					}
					else if ( typeOf(node.childNodes[i]) == 'textnode' )
					{
						//nodoRespuesta = this.node2json(node.childNodes[i]);
						nodoRespuesta.text = node.childNodes[i].nodeValue;
					}
					else if ( typeOf(node.childNodes[i]) == 'object' )
					{
						nodoRespuesta.text = node.childNodes[i].nodeValue;
					}
				}
				return nodoRespuesta;
				break;
			case 'textnode':
				return {text: node.nodeValue};
				break;
			case 'object':
				return {text: node.nodeValue};
				break;
			default:
				return null;
				break;
		}
	}
});
