/*
 *	Version 1.1
 *	+Compatibilidad con Mootools 1.3
 */
var starsRating = new Class ({
	Implements: [Options, Events],
	options: {
		numberStars:5,
		numberActive:0,
		numberRates:0,
		callback:null,
		anchorDiv:null,
		generalClass:'',
		normalClass:'',
		overClass:'',
		activeClass:'',
		idStars:'',
		parent:null
	},
	initialize: function(options){
		this.setOptions(options);
		this.buildStars();
	},
	buildStars: function ()
	{
		var self = this;
		this.arrStars = new Array();
		$(this.options.anchorDiv).innerHTML = '';
		var contenedorGeneral = new Element ('div', {
			'class':this.options.generalClass
		});
		for ( var i = 0; i < this.options.numberStars; ++i )
		{
			if ( i < this.options.numberActive )
			{
				var classEstrella = this.options.activeClass;
			}
			else
			{
				var classEstrella = this.options.normalClass;
			}
			
			var estrella = new Element ('div', {
				'class':classEstrella,
				'events':{
					'mouseenter': this.activateStars.bind(this, i),
					'mouseleave': this.deactivateStars.bind(this, i, classEstrella),
					'click':this.options.callback.pass([i, this.options.idStars, this.options.numberRates, this.options.numberActive, this], this.options.parent),
					'activate': function ()
					{
						this.addClass(self.options.overClass);
						this.removeClass(this.originalClass);
					},
					'deactivate': function ()
					{
						this.addClass(this.originalClass);
						this.removeClass(self.options.overClass);
					}
				}
			}).inject(contenedorGeneral);
			estrella.addClass(classEstrella);
			if ( Cookie.read ('rate'+this.options.idStars) == null )
			{
				estrella.addClass('clickeable');
			}
			estrella.originalClass = classEstrella;
			this.arrStars[this.arrStars.length] = estrella;
		}
		contenedorGeneral.inject($(this.options.anchorDiv));
	},
	activateStars: function( limit )
	{
		if ( Cookie.read ('rate'+this.options.idStars) == null )
		{
			for ( var i = 0; i <= limit; ++i )
			{
				this.arrStars[i].fireEvent('activate');
			}
		}
	},
	deactivateStars: function( limit, normal )
	{
		if ( Cookie.read ('rate'+this.options.idStars) == null )
		{
			for ( var i = 0; i <= limit; ++i )
			{
				this.arrStars[i].fireEvent('deactivate');
			}
		}
	}
});
