var comentarios_facebook = new Class ({
	Implements: [Options, Events],
	options: {
		logueado:false,
		apiID:'102766104411',
		channelURL:'http://www.cnnexpansion.com/channel.html',
		tab:'comentariosFacebook_tab',
		contenedor:'',
		padre:null,
		preventAutoLogin:true
	},
	initialize: function(options){
		this.setOptions(options);
		var _self = this;
		_self.preventAutoLogin = true;

		if ( typeof(FB) == 'undefined' )
		{
			if ( $('fb-root') == null )
			{
				new Element('div',{'id':'fb-root'}).inject(document.body,'top');
			}
			new Asset.javascript(document.location.protocol + '//connect.facebook.net/en_US/all.js');
		}

		var _facebookLoader = function()
		{
			FB.init({appId: _self.options.apiID, status: true, cookie: true, xfbml: true, channelUrl  : _self.options.channelURL ,oauth : true});
			_self.checkFacebookStatus();
			$(_self.options.tab).addEvent('click', function(){
				_self.preventAutoLogin = false;
				_self.checkFacebookStatus.bind(_self, true)();
			});
			FB.Event.subscribe('auth.sessionChange',  _self.checkFacebookStatus.bind(_self));
			//FB.checkFacebookStatus = _self.checkFacebookStatus.periodical(60000, _self);
		};
		if ( typeof(window.fbAsyncInit) != 'function')
		{
			 window.fbAsyncInit = _facebookLoader();
		}
		else
		{
			var __facebookLoader = window.fbAsyncInit;
			window.fbAsyncInit = function()
			{
				__facebookLoader();
				_facebookLoader();
			}
		}
	},
	checkFacebookStatus: function(getLogin){
		var _self = this;
		FB.getLoginStatus(function(response){
			if (response.status === 'connected') {
				var uid = response.authResponse.userID;
				var accessToken = response.authResponse.accessToken;
				_self.login();
			/*
			if ( response.session != null && !_self.preventAutoLogin )
			{
				_self.login();
			}
			else if ( getLogin )
			{
				FB.login(function(response){
				}, {perms:'publish_stream'});
			}
			else
			{
				$(_self.options.contenedor).fireEvent('requestLogout');
			}
			*/
			} else if (response.status === 'not_authorized') {
				//console.log("the user is logged in to Facebook, but not connected to the app");
			} else {
			  if(!_self.preventAutoLogin){
				FB.login(function(response) {
				  if (response.authResponse) {
					  //console.log('Welcome!  Fetching your information.... ');
					FB.api('/me', function(response) {
					  //console.log('Good to see you, ' + response.name + '.');
					  _self.login();
					});
				  } else {
					//console.log('User cancelled login or did not fully authorize.');
				  }
				}, {scope: 'publish_stream'});
			  }
			}
		});
	},
	login: function()
	{
		var _self = this;
		FB.api('/me', function(response){
			Cookie.write('comments_userService', 'facebook', {path:'/'} );
			_self.options.logueado = true;
			_self.data = response;
			$(_self.options.contenedor).fireEvent('requestLogin', [response.name, _self, 'facebook'] );
		});
	},
	update: function(status)
	{
		if ($("tw_path") != null && $("tw_path").value != '')
		{
			status += " "+$("tw_path").value;
		}
		else
		{
			status += ' '+window.location.toString();
		}
		FB.api('/me/feed', 'post', {
			message:status
		});
	},
	logout: function(kill)
	{
		this.options.logueado = false;
		this.preventAutoLogin = true;
		if ( Cookie.read('comments_userService') == 'facebook' )
		{
			Cookie.dispose('comments_userService', {path:'/'});
			$(this.options.contenedor).fireEvent('requestLogout');
		}
		if(kill){
			FB.logout(function(response) {});
		}
	}
});
