/*
 *	Version 1.1
 *	+Compatibilidad con Mootools 1.3
 */
var comentarios_twitter = new Class ({
	Implements: [Options, Events],
	options: {
		logueado:false,
		urlLogin: '/ajax/twitter_req.php',
		loginForm: 'twitter_loginForm',
		loginFormPass: 'twitter_loginForm_pass',
		loginFormUsr: 'twitter_loginForm_usr',
		contenedor:'',
		padre:null
	},
	initialize: function(options){
		this.setOptions(options);
		twttr.anywhere.config({ callbackURL: this.options.padre.uri });
		var self = this;
		twttr.anywhere(function (T) {			
			T.bind("authComplete", function(e, user){
				self.login.bind(self, user)();
			});
			
			T($$('.cajaComentarios')[0]).tweetBox();
			
		});
		if ( (Cookie.read('hashTwitter') != null && (Cookie.read('comments_userService') == null || Cookie.read('comments_userService') == 'twitter')) || (Cookie.read('comments_userService') == null || Cookie.read('comments_userService') == 'twitter') )
		{
			var data = new Hash.Cookie('hashTwitter', {path:'/'});
			twttr.anywhere(function (T){
				if ( T.isConnected() || self.options.logueado || (typeof(data.hash.name) != 'undefined' && data.hash.name != null) )
				{
					self.login.bind(self, T.currentUser!=null?T.currentUser:(data.hash.currentUser!=null?data.hash:(self.data!=null?self.data:{'error':'no data'})))();
				}
			});
		}
	},
	cambiaCajaComentarios: function (){
		$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box').value = this.value;
	},
	doLogin: function( tabChanged )
	{
		var self = this;
		var data = new Hash.Cookie('hashTwitter', {path:'/'});
		twttr.anywhere(function (T){
			if ( T.isConnected() || self.options.logueado || (typeof(data.hash.name) != 'undefined' && data.hash.name != null) ){
				self.login.bind(self, T.currentUser!=null?T.currentUser:(data.hash.name!=null?data.hash:(self.data!=null?self.data:{'error':'no data'})))();
			}
			else
			{
				T.signIn();
			}
		});
	},
	login: function(data)
	{
		if ( typeof(data) != 'object' )
		{
			data = JSON.decode(data);
		}
		if(typeof(data.error) != 'undefined' || data.name.indexOf("undefined") != -1 )
		{
			this.logout();
		}
		else
		{
			$('textoComentario').addEvent('keyup', this.cambiaCajaComentarios);
			$('textoComentario').addEvent('change', this.cambiaCajaComentarios);
			var hashTwitter = new Hash.Cookie('hashTwitter', {path:'/'});
			hashTwitter.extend({
				'name':data.name,
				'profileImageUrl':data.profileImageUrl,
				'screenName':data.screenName
			});
			hashTwitter.save();
			Cookie.write('comments_userService', 'twitter', {path:'/'} );
			this.options.logueado = true;
			this.data = data;
			$(this.options.contenedor).fireEvent('requestLogin', [data.name, this, 'twitter']);
		}
	},
	logout: function(killAll)
	{
		
		$('textoComentario').removeEvent('keyup', this.cambiaCajaComentarios);
		$('textoComentario').removeEvent('change', this.cambiaCajaComentarios);
		
		if ( typeof(killAll) != 'undefined' && killAll == true )
		{
			Cookie.dispose('hashTwitter', {path:'/'});
			twttr.anywhere.signOut();
			this.data = null;
			this.options.logueado = false;
		}
		Cookie.dispose('comments_userService', {path:'/'});
		$(this.options.contenedor).fireEvent('requestLogout');
	},
	update: function (status)
	{
		var status = '';
		if ($("tw_path") != null && $("tw_path").value != '')
		{
			status += " "+$("tw_path").value;
		}
		$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box').value += status+' #CNNExpansion';
		$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box').focus();
		$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweeting-button').click();
		$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box').blur();
		if ( Browser.name == 'ie' )
		{
			$($('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box')).addEvent('focus', function(){
				if ( this.get('value') != '' )
				{
					$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweeting-button').click();				
				}
			});
			$('portlet_comentarios').getElementsByTagName('iframe')[0].contentWindow.document.getElementById('tweet-box').focus();
		}
		
	}
});
